<script>
function eliminar_linea(codfacturatmp,numlinea,importe)
{
	if (confirm(" Desea eliminar esta linea ? "))

	
		document.getElementById("frame_datos").src="eliminar_linea_cancelar.php?codfacturatmp="+codfacturatmp+"&numlinea=" + numlinea;
}

function pon_prefijo(filas,subtotal,descuento,impuesto,total,total_dolar,total_verificar) {
	parent.document.formulario_lineas.filas.value=filas;	
	parent.document.formulario_lineas.subtotal.value=subtotal;
	parent.document.formulario_lineas.subtotal.value=subtotal;
	parent.document.formulario_lineas.descuento2.value=descuento;
	parent.document.formulario_lineas.imp.value=impuesto;
	parent.document.formulario_lineas.total.value=total;
	parent.document.formulario.total2.value=total;
	parent.document.formulario.total_verificar.value=total_verificar;
	parent.document.formulario.total_dolar.value=total_dolar;
    parent.document.getElementById("cdgbar").focus();
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		
	parent.document.getElementById("detalle").value;			
	
}
</script>

 <script>
  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==119){ parent.ventanaArticulos(); } // f8 busqueda de articulos
if(num==118) {parent.pagar();  }// f7 pago de contado
if(num==120){ parent.ConsultarArticulo();  }//f9 guardar e imprimir
if(num==121){ parent.validar_cabecera();  }//f10 guardar e imprimir 
if(num==27){ 
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("dcto").value="";
			document.getElementById("descuento").value="";
			document.getElementById("cob_iv").value="";
			
			 parent.document.forms.formulario_lineas.action="frame_lineas_super.php"
			 parent.document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }

</script>


<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton();inicio(); ">
<?php 
include ("../conectar.php");

 $query_parametros="SELECT * FROM web_0000 ";
 $rs_query_parametros=mysql_query($query_parametros);

   $tipcamdol= mysql_result($rs_query_parametros,0,"tipcamdol");
 
 $codfacturatmp=$_POST["codfacturatmp"];

$cliexe=$_POST["cliexe2"];
$retorno=0;
$modif=$_POST["modif"];
$cantnueva=$_POST["cantidad"];		
$filas=0;
$cdgbar=$_POST["cdgbar"];

if ($cdgbar=="") { 
			$cdgbar=0; } 


		$query_busqueda="SELECT count(*) as filas FROM proforlineas_contado WHERE codfactura='$codfacturatmp' and codigo=$cdgbar AND proforlineas_contado.tipart <> 2   ";
		$rs_busqueda=mysql_query($query_busqueda);
 		 $filas=mysql_result($rs_busqueda,0,"filas");
  
if ($filas>0) {
	
$sel_lineas="SELECT proforlineas_contado.*,web_1001.* FROM proforlineas_contado,web_1001 WHERE proforlineas_contado.codfactura='$codfacturatmp' AND proforlineas_contado.codigo=web_1001.cdgbar AND proforlineas_contado.codigo='$cdgbar' AND  proforlineas_contado.tipart <> 2 ORDER BY proforlineas_contado.numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
	$numlinea=mysql_result($rs_lineas,$i,"numlinea");
	$cdgbar=mysql_result($rs_lineas,$i,"cdgbar");
	$dscart=mysql_result($rs_lineas,$i,"dscart");
	$cantvieja=mysql_result($rs_lineas,$i,"cantidad");
	$preivi=mysql_result($rs_lineas,$i,"preivi");
	$importe=mysql_result($rs_lineas,$i,"importe");
	$impuesto=mysql_result($rs_lineas,$i,"impuesto");
	$mondes=mysql_result($rs_lineas,$i,"mondes");
	$descuento=mysql_result($rs_lineas,$i,"dcto");
	
    $cantidad=$cantnueva+$cantvieja;
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
	
	if ($impuesto >0 ){
		
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
	
	} else {
		$impuesto=0;	
	}
	
		
	$sel_act="UPDATE  proforlineas_contado SET cantidad='$cantidad' ,  importe='$importe', dcto='$descuento',mondes='$mondes', impuesto='$impuesto' WHERE codfactura='$codfacturatmp' and codigo=$cdgbar ";
	$rs_act=mysql_query($sel_act);
	
	

	 } } else {
$cdgbar=$_POST["cdgbar"];
if ($cdgbar<>"") { 
if ($modif<>1) { 
		if (!isset($codfacturatmp)) { 
			$codfacturatmp=$_GET["codfacturatmp"]; 
			$retorno=1; }
		if ($retorno==0) {	
				//$codfamilia=$_POST["codfamilia"];
				$cdgbar=$_POST["cdgbar"];
				$cantidad=$_POST["cantidad"];
				$preivi=$_POST["preivi"];
				$preivi2=$_POST["preivi"];
				if ($cdgbar ==0 and $cliexe==1) { $preivi=$preivi/1.13; } else { $preivi=$preivi; } 
				$importe=$_POST["importe"];
				$descuento=$_POST["descuento"];
				$mondes=$_POST["mondes"];
				$impuesto=$_POST["impuesto"];
				$dscart = strtoupper($_POST["dscart"]);
				$tipart = $_POST["tipart"];
				
				$sel_insert="INSERT INTO proforlineas_contado (codfactura,dscart, numlinea,codigo,cantidad,preivi,importe,dcto,mondes, impuesto, tipart) VALUES ('$codfacturatmp','$dscart','','$cdgbar','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto','$tipart')";
				$rs_insert=mysql_query($sel_insert);
		}
} }
}
?>
<div id="xdetalleAWPAGAR">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>
  <table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php
if($codfacturatmp=="") {
 $codfacturatmp=$_GET["codfacturatmp"];
}
$sel_lineas="SELECT proforlineas_contado.*,web_1001.* FROM proforlineas_contado,web_1001 WHERE proforlineas_contado.codfactura='$codfacturatmp' AND proforlineas_contado.codigo=web_1001.cdgbar ORDER BY proforlineas_contado.numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
	$numlinea=mysql_result($rs_lineas,$i,"numlinea");
	//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
	//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
	//$referencia=mysql_result($rs_lineas,$i,"referencia");
	$cdgbar=mysql_result($rs_lineas,$i,"cdgbar");
	$dscart=mysql_result($rs_lineas,$i,"dscart");
	$cantidad=mysql_result($rs_lineas,$i,"cantidad");
	$preivi=mysql_result($rs_lineas,$i,"preivi");
	$importe=mysql_result($rs_lineas,$i,"importe");
	$impuesto=mysql_result($rs_lineas,$i,"impuesto");
	$mondes=mysql_result($rs_lineas,$i,"mondes");
	$tipart=mysql_result($rs_lineas,$i,"tipart");
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	$descuento=mysql_result($rs_lineas,$i,"dcto");
	if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<? echo $fondolinea?>">
        
        		<td width="8%" class=""><div align="right"><? echo $cantidad?></div></td>    
				<td width="3%"><? //echo $cdgbar?></td>
				<td width="50%"><? echo $dscart?></td>
		
				<td width="15%"><div align="right"><? echo number_format($preivi2,2,".",",")?></div></td>
				<td width="5%"><div align="center"><a href="javascript:eliminar_linea(<?php echo $codfacturatmp?>,<?php echo $numlinea?>,<?php echo $importe ?>)"><img src="../img/Symbol-Delete_32x32-32.png"  width="25" height="25" border="0"></a></div></td>
			</tr>
					
					

			
<? 

$preciotot=$baseimp+$baseiva-$basedescuento;
	$preciotot=round($preciotot);
 $impuesto=number_format($baseiva,2,".",",");
  $descuento=number_format($basedescuento,2,".",",");
   $subtotal=number_format($baseimp,2,".",",");
     $total_verificar=$preciotot;
    $total=number_format($preciotot,2,".",",");
	$total_dolar=$preciotot/$tipcamdol;
	$total_dolar=number_format($total_dolar,2,".",",");

$query_busqueda="SELECT count(*) as filas FROM proforlineas_contado WHERE  codfactura=$codfacturatmp " ;
$rs_busqueda=mysql_query($query_busqueda);
$filas=mysql_result($rs_busqueda,0,"filas");



}


?>

					<script languaje="javascript">
	pon_prefijo("<? echo $filas ?>","<? echo $subtotal ?>","<? echo $descuento ?>","<? echo $impuesto ?>","<? echo $total ?>","<? echo $total_dolar?>","<? echo $total_verificar?>");
	
		</script>


</table>
<blockquote>&nbsp;	</blockquote>
</div>

			      <input class="cajaTotales" name="baseimponible" type="hidden" id="baseimponible" size="12" value="<? echo number_format($baseimp,2,",",".");?>" align="right" readonly> 
																					 
<input class="cajaTotales" name="basedescuento" type="hidden" id="basedescuento" size="12" value="<? echo number_format($basedescuento,2,",",".");?>" align="right" readonly>
	
<input class="cajaTotales" name="baseimpuestos" type="hidden"  id="baseimpuestos" size="12" align="right" value="<? echo number_format($baseiva,2,",",".");?>" readonly> 
		
<input class="cajaTotales" name="preciototal" type="hidden"  id="preciototal" size="12" align="right" value="<? echo number_format($preciotot,2,",",".");?>" readonly> 

			
</div>

	</body>
</html>